Download
(8 Kb)
Download
Updated: 03/14/24 01:10 PM
Pictures
File Info
Compatibility:
Scions of Ithelia (9.3.0)
Updated:03/14/24 01:10 PM
Created:06/14/21 10:08 AM
Monthly downloads:327
Total downloads:6,479
Favorites:11
MD5:
9.3.0
Guild Chat Colors  Popular! (More than 5000 hits)
Version: 1.41.0
by: OlegS [More]
Supported localization : EN, DE, FR, RU, ES

Required libraries : LibAddonMenu 2.0 r36 or newer
The addon can work without this library, but the control over its work will be limited to slash-commands.

Current features :
  • Automatic/manual setting of guild colors when a character enters the game. Manual setting (slash-command) is available at any time during the game (when the chat window is available).
  • Common colors for all servers - use a global (multi-server) guild color profile to set the same colors for all servers and accounts.
  • Common colors for server accounts - use a multi-account guild color profile to set the same guild colors for all server accounts.
  • Shared Colors for Characters - use an individual guild color profile to customize guild colors the same for all characters in your account.
  • Customized Character Colors - use a custom guild color profile for each character.
  • Individual colors for guilds of the account - use an individual guild profile for each guild of the account, regardless of its place (slot number) in the list of guilds.
Note :
  • The choice of profile and the method of setting colors are selected in the addon options window.
  • An individual (named) guild profile always takes precedence over the default profiles.
List of slash-commands :
  • /gcc cmn (or common) - import color settings of 5 common (default) guilds into the active profile.
  • /gcc gld (or guild) - imports the color settings of all named guilds from the account into the active named guild profile.
  • /gcc set - setting the colors of all 5 guilds from the active profile, while the colors from the individual guild profiles will be applied to the saved guilds, and the colors from the default profile for unknown guilds (or empty slots).
  • /gcc on - enable automatic setting the colors of all 5 guilds from the active profile (automatic use of the "set" command).
  • /gcc off - disable automatic setting of guild colors.
  • /gcc grpon - enable automatic setting the group chat color from the active profile.
  • /gcc grpoff - disable automatic setting of group chat color.
version 1.41.0 (2024-03-14)
- Changed API version to 101041
- Compatible with Update 41 (Scions of Ithelia)

version 1.40.0 (2023-11-03) (6155)
- Changed API version to 101040
- Compatible with Update 40 (Endless Archive)

version 1.39.0 (2023-08-27) (5375)
- Changed API version to 101039
- Compatible with Update 39

version 1.38.0 (2023-06-10) (4780)
- Changed API version to 101038
- Compatible with Update 38 (Necrom)
- Changed status from public beta to release
- Changed version format to <release version>.<API version>.<build version>

version 0.3.8 (2023-03-17) (4140)
- Changed API version to 101037
- Compatible with Update 37 (Scribes of Fate)

version 0.3.7 (2022-11-05) (3440)
- Changed API version to 101036
- Compatible with Update 36 (Firesong)

version 0.3.6 (2022-08-25) (2735)
- Changed API version to 101035
- Compatible with Update 35 (Lost Depths)

version 0.3.5 (2022-06-08) (2190)
- Changed API version to 101034
- Compatible with Update 34 (High Isle)

version 0.3.4 (2022-03-25) (1785)
- Changed API version to 101033
- Compatible with Update 33 (Ascending Tide)

version 0.3.3 (2022-02-05) (1425)
- Added support for official Spanish (ES) localization
- Ready for Update 33 on PTS

version 0.3.2 (2021-11-03) (1165)
- Changed API version to 101032
- Compatible with Update 32 (Deadlands)

version 0.3.1 (2021-10-17) (800)
- Added two slash-commands to enable/disable automatic setting of group chat color

version 0.3.0 (2021-08-24) (630)
- Changed API version to 101031
- Compatible with Update 31 (Waking Flame)
- Added new option (disabled by default) : setting a custom color of the group chat

version 0.2.1 (2021-07-14) (380)
- Added two slash-commands to enable/disable automatic setting of guild colors

version 0.2.0 (2021-06-14) (175)
- Changed API version to 100035
- Compatible with Update 30 (Blackwood)
- Stable beta build for public testing

version 0.0.1 - 0.1.8 (2021-06-11)
- API version 100031 - 100034
- Compatible with Update 26 (Greymoor)
- Internal builds for closed beta testing
Archived Files (14)
File Name
Version
Size
Uploader
Date
1.40.0
8kB
OlegS
11/03/23 09:04 AM
1.39.0
8kB
OlegS
08/27/23 03:30 AM
1.38.0
8kB
OlegS
06/10/23 04:05 AM
0.3.8
8kB
OlegS
03/17/23 08:44 AM
0.3.7
8kB
OlegS
11/05/22 04:02 AM
0.3.6
8kB
OlegS
08/25/22 01:01 PM
0.3.5
8kB
OlegS
06/08/22 01:11 PM
0.3.4
8kB
OlegS
03/25/22 08:51 AM
0.3.3
8kB
OlegS
02/05/22 05:11 AM
0.3.2
8kB
OlegS
11/03/21 06:05 AM
0.3.1
8kB
OlegS
10/17/21 04:09 AM
0.3.0
8kB
OlegS
08/24/21 10:19 AM
0.2.1
7kB
OlegS
07/14/21 11:17 AM
0.2.0
7kB
OlegS
06/14/21 10:08 AM


Post A Reply Comment Options
Unread 04/10/23, 07:01 AM  
coronhr

Forum posts: 0
File comments: 18
Uploads: 0
great addon!

many thanks for this. does exactly what i needed it to. a good alternative to pchat if you just want to manage guild chat colours in a no-fuss way
Report comment to moderator  
Reply With Quote
Unread 06/15/21, 05:35 AM  
OlegS
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 196
Uploads: 1
Originally Posted by Baertram
please name the dependencies needed for this addon in your addon description so that the users are able to see and install them directly,
without having to check ingame what the addon manager says.
Thank you.
The names of the required libraries have been added to the addon info.
Report comment to moderator  
Reply With Quote
Unread 06/14/21, 12:03 PM  
Baertram
Super Moderator
 
Baertram's Avatar
ESOUI Super Moderator
AddOn Author - Click to view AddOns

Forum posts: 4952
File comments: 6019
Uploads: 78
Hello,

please name the dependencies needed for this addon in your addon description so that the users are able to see and install them directly,
without having to check ingame what the addon manager says.

btw: If you add dependencies to your addon's manifest (txt file) and do a version check (via >= ) please check that you got the most up2date version mentioned, in order to let the users update their libraries to these versions.
Your txt: LibAddonMenu>=31
Current version of LAM 2.0: 32
-> For LAM 2.0 this is okay, as it is only imporant to specify any version >= 28 as there the global LibAddonMenu2 was added and LibStub was removed

Thank you.
Last edited by Baertram : 06/14/21 at 12:06 PM.
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: